PROBE::KPROCESS.EX(3stap)

NAME
probe::kprocess.exec_complete - Return from exec to a new program

SYNOPSIS

kprocess.exec_complete

VALUES

success
    A boolean indicating whether the exec was successful

errno
    The error number resulting from the exec

name
    Name of the system call (“execve”) (SystemTap v2.5+)

retstr
    A string representation of errno (SystemTap v2.5+)

CONTEXT

On success, the context of the new executable. On failure, remains in the context of the caller.

DESCRIPTION

Fires at the completion of an exec call. Aliased to the syscall.execve.return probe in SystemTap v2.5+.

SEE ALSO
tapset::kprocess(3stap)